## commonj.sdo
Interface Property

All Known Subinterfaces:
  EProperty

All Known Implementing Classes:
  EPropertyImpl

    public interface Property

A representation of a property in the `type` of a `data object`.

Method Summary
`Type` `getContainingType()` Returns the containing type of this property.
`java.lang.Object` `getDefault()` Returns the default value this property will have in a `data object` where the property hasn't been set.
`java.lang.String` `getName()` Returns the name of the property.
`Type` `getType()` Returns the type of the property.
`boolean` `isContainment()` Returns whether the property is containment, i.e., whether it represents by-value composition.
`boolean` `isMany()` Returns whether the property is many-valued.

Method Detail

### getName

    java.lang.String getName()

  Returns the name of the property.

  Returns:
    the property name.

### getType

    Type getType()

  Returns the type of the property.

  Returns:
    the type.

### isMany

    boolean isMany()

  Returns whether the property is many-valued.

  Returns:
    `true` if the property is many-valued.

### isContainment

    boolean isContainment()

  Returns whether the property is containment, i.e., whether it represents by-value composition.

  Returns:
    `true` if the property is containment.

### getContainingType

    Type getContainingType()

  Returns the containing type of this property.

  Returns:
    the property's containing type.
  See Also:
    `Type.getProperties()`

### getDefault

    java.lang.Object getDefault()

  Returns the default value this property will have in a `data object` where the property hasn't been set.

  Returns:
    the default value.

Copyright 2001-2006 IBM Corporation and others. All Rights Reserved.